Name:          jdbi
Version:       2.49
Release:       4%{?dist}
Summary:       A SQL convenience library for Java
License:       ASL 2.0
URL:           http://jdbi.org/
Source0:       https://github.com/brianm/jdbi/archive/%{name}-%{version}.tar.gz

BuildRequires: mvn(cglib:cglib)
BuildRequires: mvn(com.fasterxml:classmate)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.antlr:antlr-runtime)
BuildRequires: mvn(org.antlr:stringtemplate)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.springframework:spring-beans)
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-jdbc)
BuildRequires: mvn(org.springframework:spring-tx)

BuildRequires: antlr3-tool
BuildRequires: maven-local
#BuildRequires: mvn(org.antlr:antlr3-maven-plugin)

# test deps
%if 0
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.h2database:h2)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.commons:commons-jexl)
BuildRequires: mvn(org.apache.derby:derby)
BuildRequires: mvn(org.easymock:easymock)
BuildRequires: mvn(org.easymock:easymockclassextension)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.springframework:spring-mock)
# replace with BuildRequires: mvn(org.springframework:spring-test)
BuildRequires: mvn(postgresql:postgresql)
%endif

BuildArch:     noarch

%description
jDBI is designed to provide convenient tabular data access in
Java. It uses the Java collections framework for query
results, provides a convenient means of externalizing SQL
statements, and provides named parameter support for any database
being used.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find . -name "*.class" -delete
find . -name "*.jar" -type f -delete

# remove wagon-webdav
%pom_xpath_remove "pom:project/pom:build/pom:extensions"
# remove unavailable plugins
%pom_remove_plugin :clirr-maven-plugin
%pom_remove_plugin :jdepend-maven-plugin
# disable javadoc jar
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"
# disable source jar
%pom_remove_plugin :maven-source-plugin
# disable tar archive creation
%pom_remove_plugin :maven-assembly-plugin

%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:groupId='cglib']/pom:artifactId" cglib
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:groupId='log4j']/pom:version" 1.2.17

# disable embedded antlr3-runtime, cglib, and classmate copy
%pom_remove_plugin :maven-shade-plugin

# org.springframework spring 2.0.1
%pom_remove_dep org.springframework:spring
%pom_add_dep org.springframework:spring-beans
%pom_add_dep org.springframework:spring-core
%pom_add_dep org.springframework:spring-jdbc
%pom_add_dep org.springframework:spring-tx

%if 0
# build fix for junit >= 4.10
%pom_add_dep org.hamcrest:hamcrest-core::test
sed -i "s|org.junit.internal.matchers.StringContains|org.hamcrest.core.StringContains|" \
 src/test/java/org/skife/jdbi/v2/sqlobject/TestObjectMethods.java
%endif

%pom_remove_dep org.springframework:spring-mock

%mvn_file : %{name}

%build

# unavailable test deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc CHANGES_PLANNED_FOR_3_0 CONTRIBUTORS README RELEASE_NOTES
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Fri Feb 06 2015 gil cattaneo <puntogil@libero.it> 2.49-4
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.49-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.49-2
- Use Requires: java-headless rebuild (#1067528)

* Sun Jun 02 2013 gil cattaneo <puntogil@libero.it> 2.49-1
- update to 2.49

* Fri Sep 28 2012 gil cattaneo <puntogil@libero.it> 2.39.1-1
- initial rpm
